
Figure - Bug #118124
测试 Test-ST # 113421 (New): V4.0功能与专项测试

测试 Test-ST # 113422 (New): V4.0专项--AF专项--monkey测试

【AF】【EVT3】【Monkey】Monkey测试60小时，CRASH: com.android.settings (28)
2023-05-22 11:06 - CD TEST-方永红

Status: CLOSED Start date: 2023-05-22

Priority: High Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103(X103).202305190056

Resolution: FIXED Degrated: No

Severity: Critical Verified Version: 0106

Reproducibility: Rarely Fixed Version: 2023-05-22

Test Type: Monkey Test Root cause: 特殊场景下上下文数据为空导致。

Description

【执行命令】

"monkey --pkg-blacklist-file /sdcard/blackList.txt --hprof --throttle 500 -s 1234567 --pct-touch 35 --pct-motion 25 --pct-appswitch 30

--pct-pinchzoom 5 --pct-trackball 0 --pct-anyevent 5 --ignore-crashes --ignore-timeouts --ignore-security-exceptions --monitor-native-crashes

--pct-syskeys 0 -v -v -v 12000000 >/sdcard/monkey.log 2>&1 &"

【错误信息】

CRASH: com.android.settings (pid 7347)

// Short Msg: java.lang.NullPointerException

// Long Msg: java.lang.NullPointerException: Attempt to read from field 'android.content.pm.ApplicationInfo

com.android.settingslib.applications.ApplicationsState$AppEntry.info' on a null object reference

// Build Label: HiPhi/PassengerDisplay_CN/PassengerDisplay:12/SKQ1.220201.001/3450:user/test-keys

// Build Changelist: 3450

// Build Time: 1684432506000

// java.lang.NullPointerException: Attempt to read from field 'android.content.pm.ApplicationInfo

com.android.settingslib.applications.ApplicationsState$AppEntry.info' on a null object reference

//     at com.android.settings.applications.ClearDefaultsPreference.updateUI(ClearDefaultsPreference.java:139)

//     at com.android.settings.applications.ClearDefaultsPreference.onBindViewHolder(ClearDefaultsPreference.java:135)

//     at androidx.preference.PreferenceGroupAdapter.onBindViewHolder(PreferenceGroupAdapter.java:420)

//     at

com.android.settings.widget.HighlightablePreferenceGroupAdapter.onBindViewHolder(HighlightablePreferenceGroupAdapter.java:113)

//     at com.android.settings.widget.HighlightablePreferenceGroupAdapter.onBindViewHolder(HighlightablePreferenceGroupAdapter.java:44)

//     at androidx.recyclerview.widget.RecyclerView$Adapter.onBindViewHolder(RecyclerView.java:7379)

//     at androidx.recyclerview.widget.RecyclerView$Adapter.bindViewHolder(RecyclerView.java:7462)

//     at androidx.recyclerview.widget.RecyclerView$Recycler.tryBindViewHolderByDeadline(RecyclerView.java:6319)

//     at androidx.recyclerview.widget.RecyclerView$Recycler.tryGetViewHolderForPositionByDeadline(RecyclerView.java:6585)

//     at androidx.recyclerview.widget.RecyclerView$Recycler.getViewForPosition(RecyclerView.java:6425)

//     at androidx.recyclerview.widget.RecyclerView$Recycler.getViewForPosition(RecyclerView.java:6421)

//     at androidx.recyclerview.widget.LinearLayoutManager$LayoutState.next(LinearLayoutManager.java:2330)

//     at androidx.recyclerview.widget.LinearLayoutManager.layoutChunk(LinearLayoutManager.java:1631)

//     at androidx.recyclerview.widget.LinearLayoutManager.fill(LinearLayoutManager.java:1591)

//     at androidx.recyclerview.widget.LinearLayoutManager.onLayoutChildren(LinearLayoutManager.java:668)

//     at androidx.recyclerview.widget.RecyclerView.dispatchLayoutStep2(RecyclerView.java:4423)

//     at androidx.recyclerview.widget.RecyclerView.onMeasure(RecyclerView.java:3800)

//     at android.view.View.measure(View.java:25778)
//     at android.view.ViewGroup.measureChildWithMargins(ViewGroup.java:6980)

//     at android.widget.FrameLayout.onMeasure(FrameLayout.java:194)

//     at android.view.View.measure(View.java:25778)

//     at android.view.ViewGroup.measureChildWithMargins(ViewGroup.java:6980)

//     at android.widget.LinearLayout.measureChildBeforeLayout(LinearLayout.java:1552)

//     at android.widget.LinearLayout.measureVertical(LinearLayout.java:842)

//     at android.widget.LinearLayout.onMeasure(LinearLayout.java:721)

//     at android.view.View.measure(View.java:25778)

//     at android.view.ViewGroup.measureChildWithMargins(ViewGroup.java:6980)

//     at android.widget.FrameLayout.onMeasure(FrameLayout.java:194)

//     at android.view.View.measure(View.java:25778)

//     at android.view.ViewGroup.measureChildWithMargins(ViewGroup.java:6980)

//     at android.widget.LinearLayout.measureChildBeforeLayout(LinearLayout.java:1552)

//     at android.widget.LinearLayout.measureVertical(LinearLayout.java:842)

//     at android.widget.LinearLayout.onMeasure(LinearLayout.java:721)

//     at android.view.View.measure(View.java:25778)

//     at android.view.ViewGroup.measureChildWithMargins(ViewGroup.java:6980)

//     at android.widget.LinearLayout.measureChildBeforeLayout(LinearLayout.java:1552)

//     at android.widget.LinearLayout.measureVertical(LinearLayout.java:842)

//     at android.widget.LinearLayout.onMeasure(LinearLayout.java:721)

//     at android.view.View.measure(View.java:25778)

//     at androidx.constraintlayout.widget.ConstraintLayout$Measurer.measure(ConstraintLayout.java:719)

//     at androidx.constraintlayout.solver.widgets.analyzer.BasicMeasure.measure(BasicMeasure.java:399)

//     at androidx.constraintlayout.solver.widgets.analyzer.BasicMeasure.measureChildren(BasicMeasure.java:105)

//     at androidx.constraintlayout.solver.widgets.analyzer.BasicMeasure.solverMeasure(BasicMeasure.java:232)

//     at androidx.constraintlayout.solver.widgets.ConstraintWidgetContainer.measure(ConstraintWidgetContainer.java:113)

//     at androidx.constraintlayout.widget.ConstraintLayout.resolveSystem(ConstraintLayout.java:1465)

//     at androidx.constraintlayout.widget.ConstraintLayout.onMeasure(ConstraintLayout.java:1540)

//     at android.view.View.measure(View.java:25778)

//     at android.view.ViewGroup.measureChildWithMargins(ViewGroup.java:6980)

//     at android.widget.FrameLayout.onMeasure(FrameLayout.java:194)

//     at android.view.View.measure(View.java:25778)

//     at android.view.ViewGroup.measureChildWithMargins(ViewGroup.java:6980)

//     at android.widget.LinearLayout.measureChildBeforeLayout(LinearLayout.java:1552)

//     at android.widget.LinearLayout.measureVertical(LinearLayout.java:842)

//     at android.widget.LinearLayout.onMeasure(LinearLayout.java:721)

//     at android.view.View.measure(View.java:25778)

//     at android.view.ViewGroup.measureChildWithMargins(ViewGroup.java:6980)

//     at android.widget.FrameLayout.onMeasure(FrameLayout.java:194)

//     at com.android.internal.policy.DecorView.onMeasure(DecorView.java:834)

//     at android.view.View.measure(View.java:25778)

//     at android.view.ViewRootImpl.performMeasure(ViewRootImpl.java:3631)

//     at android.view.ViewRootImpl.measureHierarchy(ViewRootImpl.java:2427)

//     at android.view.ViewRootImpl.performTraversals(ViewRootImpl.java:2697)

//     at android.view.ViewRootImpl.doTraversal(ViewRootImpl.java:2146)

//     at android.view.ViewRootImpl$TraversalRunnable.run(ViewRootImpl.java:8676)

//     at android.view.Choreographer$CallbackRecord.run(Choreographer.java:1120)

//     at android.view.Choreographer.doCallbacks(Choreographer.java:926)

//     at android.view.Choreographer.doFrame(Choreographer.java:859)

//     at android.view.Choreographer$FrameDisplayEventReceiver.run(Choreographer.java:1105)

//     at android.os.Handler.handleCallback(Handler.java:938)

//     at android.os.Handler.dispatchMessage(Handler.java:99)

//     at android.os.Looper.loopOnce(Looper.java:201)
//     at android.os.Looper.loop(Looper.java:288)

//     at android.app.ActivityThread.main(ActivityThread.java:7880)

//     at java.lang.reflect.Method.invoke(Native Method)

//     at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)

//     at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:1009)

// 

History

#1 - 2023-05-22 11:08 - CD TEST-方永红

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_118124

#2 - 2023-05-22 18:25 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

201717 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:Settings: Fix monkey test crash problem.TC-RID: 1201-0201813IssueID: TS-R-BUG-118124Change-Id: I80ef2143dbd7c0147f0f782baee0a9d1b70bb933

#3 - 2023-05-22 18:26 - CD FW-廖涛

- Status changed from New to RESOLVED

- Assignee changed from CD FW-廖涛 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-05-22

- Root cause set to 特殊场景下上下文数据为空导致。

■ Current conclusion

已处理，代码已入库。

■ My analysis

特殊场景下上下文数据为空导致。

■ Next action

测试验证。

#4 - 2023-06-01 10:32 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to 0106

6.1
近3个版本未复现，先关闭

#5 - 2023-06-01 10:34 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED
